curl -X POST "https://api.helicone.ai/v1/prompt-2025/query/production-version" \
-H "Authorization: Bearer $HELICONE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"promptId": "prompt_123"
}'
const response = await fetch('https://api.helicone.ai/v1/prompt-2025/query/production-version', {
method: 'POST',
headers: {
'Authorization': `Bearer ${HELICONE_API_KEY}`,
'Content-Type': 'application/json',
},
body: JSON.stringify({
promptId: "prompt_123"
}),
});
const productionVersion = await response.json();
{
"id": "version_789",
"model": "gpt-4",
"prompt_id": "prompt_123",
"major_version": 2,
"minor_version": 0,
"commit_message": "Production-ready version with improved accuracy",
"created_at": "2024-01-16T16:45:00Z",
"s3_url": "https://s3.amazonaws.com/bucket/prompt-body.json"
}
Prompts
Get Production Version
Retrieve the production version of a specific prompt
POST
/
v1
/
prompt-2025
/
query
/
production-version
curl -X POST "https://api.helicone.ai/v1/prompt-2025/query/production-version" \
-H "Authorization: Bearer $HELICONE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"promptId": "prompt_123"
}'
const response = await fetch('https://api.helicone.ai/v1/prompt-2025/query/production-version', {
method: 'POST',
headers: {
'Authorization': `Bearer ${HELICONE_API_KEY}`,
'Content-Type': 'application/json',
},
body: JSON.stringify({
promptId: "prompt_123"
}),
});
const productionVersion = await response.json();
{
"id": "version_789",
"model": "gpt-4",
"prompt_id": "prompt_123",
"major_version": 2,
"minor_version": 0,
"commit_message": "Production-ready version with improved accuracy",
"created_at": "2024-01-16T16:45:00Z",
"s3_url": "https://s3.amazonaws.com/bucket/prompt-body.json"
}
Retrieves the currently designated production version of a specific prompt.
Request Body
Response
curl -X POST "https://api.helicone.ai/v1/prompt-2025/query/production-version" \
-H "Authorization: Bearer $HELICONE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"promptId": "prompt_123"
}'
const response = await fetch('https://api.helicone.ai/v1/prompt-2025/query/production-version', {
method: 'POST',
headers: {
'Authorization': `Bearer ${HELICONE_API_KEY}`,
'Content-Type': 'application/json',
},
body: JSON.stringify({
promptId: "prompt_123"
}),
});
const productionVersion = await response.json();
{
"id": "version_789",
"model": "gpt-4",
"prompt_id": "prompt_123",
"major_version": 2,
"minor_version": 0,
"commit_message": "Production-ready version with improved accuracy",
"created_at": "2024-01-16T16:45:00Z",
"s3_url": "https://s3.amazonaws.com/bucket/prompt-body.json"
}
Was this page helpful?